Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.meta
Interface MetaDataParser

All Known Subinterfaces:
  MappingInfoParser, SchemaParser

All Known Implementing Classes:
  XMLMappingInfoParser, XMLMetaDataParser, XMLSchemaParser

public interface MetaDataParser

Interface for metadata parsers.

Method Summary
`void` | `clear()` Clears the cache of parsed resource names.
`java.net.URL` | `findMetaData(java.lang.Class type)` Find the metadata resource for the given class.
`org.apache.commons.logging.Log` | `getLog()` Return the log to write to.
`java.util.Collection` | `getResults()` Return the results from the last parse.
`boolean` | `isValidating()` Return true if this is a validating parser, false otherwise.
`void` | `parse(java.lang.Class type)` Parse the metadata for the given type.
`void` | `parse(java.io.File file)` Parse the metadata for the given file.
`void` | `parse(java.io.Reader content, java.lang.String sourceName)` Parse the metadata in the given reader.
`void` | `parse(java.net.URL url)` Parse the metadata for the given URL.
`void` | `setLog(org.apache.commons.logging.Log log)` Set the log to write to.
`void` | `setValidating(boolean validating)` Set whether or not the parser should validate.

Method Detail

### isValidating

    public boolean isValidating()

  Return true if this is a validating parser, false otherwise.

### setValidating

    public void setValidating(boolean validating)

  Set whether or not the parser should validate.

### getLog

    public org.apache.commons.logging.Log getLog()

  Return the log to write to.

### setLog

    public void setLog(org.apache.commons.logging.Log log)

  Set the log to write to.

### getResults

    public java.util.Collection getResults()

  Return the results from the last parse.

### findMetaData

    public java.net.URL findMetaData(java.lang.Class type)

  Find the metadata resource for the given class.

### parse

    public void parse(java.lang.Class type)
               throws java.io.IOException

  Parse the metadata for the given type.

    `java.io.IOException`
  See Also:
    `findMetaData(java.lang.Class)`

### parse

    public void parse(java.net.URL url)
               throws java.io.IOException

  Parse the metadata for the given URL.

    `java.io.IOException`
  See Also:
    `parse(Class)`

### parse

    public void parse(java.io.File file)
               throws java.io.IOException

  Parse the metadata for the given file.

    `java.io.IOException`
  See Also:
    `parse(Class)`

### parse

    public void parse(java.io.Reader content,
                      java.lang.String sourceName)
               throws java.io.IOException

  Parse the metadata in the given reader. Subclasses who wish to override the standard parsing behavior can use this method, as the other parse methods all call it for parsing.

  Parameters:
    `content` - reader containing the metadata to parse
    `sourceName` - the name of the source being parsed, for use in error messages
    `java.io.IOException`
  See Also:
    `parse(Class)`

### clear

    public void clear()

  Clears the cache of parsed resource names. If this method is not called, attempting to parse a resource that has already been seen by the parser will always return no results.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.